Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::TESS_CHAR Struct Reference
Inheritance diagram for tesseract::TESS_CHAR:

List of all members.

## Public Member Functions

| TESS_CHAR (float _cost, const char *repr, int len=-1)
| TESS_CHAR ()
| ~TESS_CHAR ()
Public Member Functions inherited from ELIST_LINK
| ELIST_LINK ()
| ELIST_LINK (const ELIST_LINK &)
void | operator= (const ELIST_LINK &)

## Public Attributes

char * | unicode_repr
int | length
float | cost
TBOX | box

## Detailed Description

Definition at line 2002 of file baseapi.cpp.

## Constructor & Destructor Documentation

tesseract::TESS_CHAR::TESS_CHAR | ( | float | _cost,
|  | const char * | repr,
|  | int | len = `-1`
| ) |  |

inline

Definition at line 2008 of file baseapi.cpp.

: cost(_cost) {
length = (len == -1 ? strlen(repr) : len);
unicode_repr = new char[length + 1];
strncpy(unicode_repr, repr, length);
}

tesseract::TESS_CHAR::TESS_CHAR | ( |  | ) |

inline

Definition at line 2014 of file baseapi.cpp.

{ // Satisfies ELISTIZE.
}

tesseract::TESS_CHAR::~TESS_CHAR | ( |  | ) |

inline

Definition at line 2016 of file baseapi.cpp.

{
delete [] unicode_repr;
}

## Member Data Documentation

TBOX tesseract::TESS_CHAR::box

Definition at line 2006 of file baseapi.cpp.

float tesseract::TESS_CHAR::cost

Definition at line 2005 of file baseapi.cpp.

int tesseract::TESS_CHAR::length

Definition at line 2004 of file baseapi.cpp.

char* tesseract::TESS_CHAR::unicode_repr

Definition at line 2003 of file baseapi.cpp.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/api/baseapi.cpp